### Signal

# Clutter GestureAction::gesture-end

#### Declaration

    void
    gesture_end (
      ClutterGestureAction* self,
      ClutterActor* actor,
      gpointer user_data
    )

#### Description [src]

The signal is emitted at the end of the gesture gesture, when the pointer’s button is released

This signal is emitted if and only if the `ClutterGestureAction::gesture-begin` signal has been emitted first.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`actor`

  Type: `ClutterActor`

  The `ClutterActor` attached to the `action`.

  The data is owned by the caller of the function.